﻿using System;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace SimpleSample
{
	public class Doughnut : ContentPage
	{
		SfChart chart;
		DoughnutSeries doughnut;

		public Doughnut ()
		{
			ObservableCollection<ChartDataPoint> Data = new ObservableCollection<ChartDataPoint>();
			StackLayout layout = new StackLayout(){Padding = new Thickness(5,15,5,25)};

			Data.Add(new ChartDataPoint("Jan", 20));
			Data.Add(new ChartDataPoint("Feb", 35));
			Data.Add(new ChartDataPoint("Mar", 32));
			Data.Add(new ChartDataPoint("Apr", 25));
			Data.Add(new ChartDataPoint("May", 10));
			Data.Add(new ChartDataPoint("Jun", 22));

			chart = new SfChart ();
		
			doughnut = new DoughnutSeries ();
			doughnut.EnableDataPointSelection = true;
			doughnut.SelectedDataPointColor = Color.Green;
			doughnut.ItemsSource = Data;
			doughnut.DataMarker = new ChartDataMarker ();

			chart.VerticalOptions 	= LayoutOptions.FillAndExpand; 
			chart.Legend 			= new ChartLegend();
			chart.Legend.IsVisible 	= true;
			chart.SelectionChanged += Chart_SelectionChanged;
			chart.Series.Add(doughnut);

			layout.Children.Add(chart);
			Content = layout;

		}

		void Chart_SelectionChanged (object sender, ChartSelectionEventArgs e)
		{
			doughnut.ExplodeIndex = e.SelectedDataPointIndex;
		}

	}   
}

